# Session Types Session Types ## Gets all of the session types in the system. - [GET /sessionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/listsessiontypes.md): This method will scan all session types and and return them to the caller. ## Creates a new session type record that does not already exist. - [POST /sessionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/createsessiontype.md): This method will auto-generate an ID and create a new session type. If an ID is specified for the session type, an error will be thrown. ## Execute Batch Operations - [POST /sessionTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the session types in the system. - [GET /sessionTypes/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/listsessiontypespublic.md): This method will scan all session types and and return them to the caller. ## Returns a session type from the system by its ID. - [DELETE /sessionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/deletesessiontype.md): This method will delete a session type with the specified ID. ## Returns a session type from the system by its ID. - [GET /sessionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/getsessiontype.md): This method will look up a session type by the specified ID and return it back. ## Partially updates a session type with the specified ID. - [PATCH /sessionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/patchsessiontype.md): This method will patch an existing session type with the specified ID, using the HTTP PATCH specification. ## Updates a session type with the specified ID. - [PUT /sessionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-types/updatesessiontype.md): This method will update an existing session type with the specified ID.